Novell Home

CVE-2009-2855

Common Vulnerabilities and Exposures

[Previous] [Index] [Next]

Upstream information

CVE-2009-2855 at MITRE

Description

The strListGetItem function in src/HttpHeaderTools.c in Squid 2.7 allows remote attackers to cause a denial of service via a crafted auth header with certain comma delimiters that trigger an infinite loop of calls to the strcspn function.

NVD CVSS v2 Base Score: 5.0 (AV:N/AC:L/Au:N/C:N/I:N/A:P)

Novell/SUSE information

Novell Bugzilla entries: 525774, 577347

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Open Enterprise Server
  • squid >= 2.5.STABLE5-42.56
core9.s390
sles9-nlpos.x86
core9.x86
core9.ppc
core9.x86-64
core9.ia64
core9.s390x
sles9-oes.x86
YOU Patch Nr: 12597
SUSE CORE 9 for AMD64 and Intel EM64T
  • squid >= 2.5.STABLE5-42.57
Builds
YOU Patch Nr: 12928
openSUSE 11.0
  • squid-beta-debuginfo >= 3.0-419.2
  • squid-beta-debugsource >= 3.0-419.2
  • squid-debuginfo >= 2.6.STABLE20-12.3
  • squid-debugsource >= 2.6.STABLE20-12.3
  • squid3-debuginfo >= 3.0.STABLE5-11.3
  • squid3-debugsource >= 3.0.STABLE5-11.3
openSUSE 11.0
  • squid >= 2.6.STABLE20-12.3
  • squid-beta >= 3.0-419.2
  • squid3 >= 3.0.STABLE5-11.3
openSUSE 11.1
  • squid-beta-debuginfo >= 3.0-438.35.1
  • squid-beta-debugsource >= 3.0-438.35.1
  • squid-debuginfo >= 2.7.STABLE5-1.21.2
  • squid-debugsource >= 2.7.STABLE5-1.21.2
  • squid3-debuginfo >= 3.0.STABLE10-2.13.1
  • squid3-debugsource >= 3.0.STABLE10-2.13.1
openSUSE 11.1
  • squid >= 2.7.STABLE5-1.21.2
  • squid-beta >= 3.0-438.35.1
  • squid3 >= 3.0.STABLE10-2.13.1
openSUSE 11.2
  • squid-beta-debuginfo >= 3.0-448.5.1
  • squid-beta-debugsource >= 3.0-448.5.1
  • squid-debuginfo >= 2.7.STABLE6-2.5.2
  • squid-debugsource >= 2.7.STABLE6-2.5.2
  • squid3-debuginfo >= 3.0.STABLE18-3.5.1
  • squid3-debugsource >= 3.0.STABLE18-3.5.1
openSUSE 11.2
  • squid >= 2.7.STABLE6-2.5.2
  • squid-beta >= 3.0-448.5.1
  • squid3 >= 3.0.STABLE18-3.5.1
SUSE Linux Enterprise Server for SAP 10 SP2
  • squid >= 2.5.STABLE12-18.13.982.2.2
sles10-sp2.x86-64
sles10-sp2.s390x
sled10-sp2.x86-64
sles10-sp2.ppc
sled10-sp2.x86
sles10-sp2.ia64
sles10-sp2.x86
ZYPP Patch Nr: 6930
SUSE Linux Enterprise Desktop 10 SP3 for AMD64 and Intel EM64T
SUSE Linux Enterprise Desktop 10 SP3 for x86
SUSE Linux Enterprise SDK 10 SP3
SUSE Linux Enterprise Server 10 SP3
SUSE Linux Enterprise Server for SAP 10 SP3
  • squid >= 2.5.STABLE12-18.13.982.2.1
sled10-sp3.x86-64
sles10-sp3.ia64
sles10-sp3.x86
sles10-sp3.ppc
sles10-sp3.x86-64
sled10-sp3.x86
sles10-sp3.s390x
ZYPP Patch Nr: 6931
SUSE Linux Enterprise Server 11 GA
  • squid >= 2.7.STABLE5-2.4.1
sles11.x86
sle11-debuginfo.s390x
sle11-debuginfo.ia64
sle11-debuginfo.ppc
sles11.ia64
sle11-debuginfo.x86
sle11-debuginfo.x86-64
sles11.x86-64
sles11.s390x
sles11.ppc
SAT Patch Nr: 2143

© 2014 Novell